Package org.eclipse.emf.cdo.view

# Class CDOPrefetcherManager.Prefetcher

java.lang.Object
org.eclipse.emf.cdo.view.CDOPrefetcherManager.Prefetcher

Enclosing class:
  CDOPrefetcherManager

public static class CDOPrefetcherManager.Prefetcher extends Object
Prefetches `revisions` and, optionally, `lock states` for a given, single `view`.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Prefetcher(CDOView view, boolean prefetchLockStates)`
`Prefetcher(CDOView view, CDOID rootID, boolean prefetchLockStates)`

## Method Summary

Modifier and Type
Method
Description
`protected CDORevision`
`addRevision(CDORevision revision)`
The caller must synchronize on this prefetcher.
`protected void`
`changeBranchPoint()`
`protected void`
`cleanup()`
`protected void`
`dispose()`
`final int`
`getSize()`
`final CDOView`
`getView()`
`final void`
`handleRevisions(CDORevisionHandler handler)`
`final boolean`
`isDisposed()`
`protected void`
`prefetch()`
`protected void`
`revisionIgnored(CDORevision revision)`
Subclasses may override.
`protected void`
`revisionRemoved(CDORevision revision)`
Subclasses may override.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Prefetcher

public Prefetcher(CDOView view, CDOID rootID, boolean prefetchLockStates)

### Prefetcher

public Prefetcher(CDOView view, boolean prefetchLockStates)

## Method Details

### getView

public final CDOView getView()

### getSize

public final int getSize()

### isDisposed

public final boolean isDisposed()

### handleRevisions

public final void handleRevisions(CDORevisionHandler handler)

### prefetch

protected void prefetch()

### changeBranchPoint

protected void changeBranchPoint()

### cleanup

protected void cleanup()

### dispose

protected void dispose()

### addRevision

protected CDORevision addRevision(CDORevision revision)
The caller must synchronize on this prefetcher.

### revisionRemoved

protected void revisionRemoved(CDORevision revision)
Subclasses may override.

When this method is called the calling thread is holding the prefetcher lock. Do not pass control to a different thread which might attempt to access the prefetcher!

### revisionIgnored

protected void revisionIgnored(CDORevision revision)
Subclasses may override.